javax.swing.plaf

## Class BorderUIResource.BevelBorderUIResource

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.BevelBorder
    - - javax.swing.plaf.BorderUIResource.BevelBorderUIResource

All Implemented Interfaces:
  Serializable, Border, UIResource

Enclosing class:
  BorderUIResource

    public static class BorderUIResource.BevelBorderUIResource
    extends BevelBorder
    implements UIResource

### Field Summary

### Fields inherited from class javax.swing.border.BevelBorder

`bevelType, highlightInner, highlightOuter, LOWERED, RAISED, shadowInner, shadowOuter`

### Constructor Summary

Constructors
Constructor and Description
`BorderUIResource.BevelBorderUIResource(int bevelType)`
`BorderUIResource.BevelBorderUIResource(int bevelType, Color highlight, Color shadow)`
`BorderUIResource.BevelBorderUIResource(int bevelType, Color highlightOuter, Color highlightInner, Color shadowOuter, Color shadowInner)`

### Method Summary

### Methods inherited from class javax.swing.border.BevelBorder

`getBevelType, getBorderInsets, getBorderInsets, getHighlightInnerColor, getHighlightInnerColor, getHighlightOuterColor, getHighlightOuterColor, getShadowInnerColor, getShadowInnerColor, getShadowOuterColor, getShadowOuterColor, isBorderOpaque, paintBorder, paintLoweredBevel, paintRaisedBevel`

### Methods inherited from class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BorderUIResource.BevelBorderUIResource

    public BorderUIResource.BevelBorderUIResource(int bevelType)

#### BorderUIResource.BevelBorderUIResource

    public BorderUIResource.BevelBorderUIResource(int bevelType,
                                          Color highlight,
                                          Color shadow)

#### BorderUIResource.BevelBorderUIResource

    public BorderUIResource.BevelBorderUIResource(int bevelType,
                                          Color highlightOuter,
                                          Color highlightInner,
                                          Color shadowOuter,
                                          Color shadowInner)

Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.